Index: res_odbc.c
===================================================================
--- res_odbc.c	(revision 33725)
+++ res_odbc.c	(working copy)
@@ -51,6 +51,7 @@
 #include "asterisk/module.h"
 #include "asterisk/cli.h"
 #include "asterisk/lock.h"
+#include "asterisk/strings.h"
 #include "asterisk/res_odbc.h"
 
 struct odbc_class
@@ -253,10 +254,7 @@
 				}
 
 				if (enabled && !ast_strlen_zero(dsn)) {
-					new = ast_calloc(1, sizeof(*new));
-
-					if (!new) {
-						ast_log(LOG_ERROR, "Memory error while loading configuration.\n");
+					if (!(new = ast_calloc(1, sizeof(*new)))) {
 						res = -1;
 						break;
 					}
@@ -395,9 +393,7 @@
 
 		if (!obj && (class->count < class->limit)) {
 			class->count++;
-			obj = ast_calloc(1, sizeof(*obj));
-			if (!obj) {
-				ast_log(LOG_ERROR, "Out of memory\n");
+			if (!(obj = ast_calloc(1, sizeof(*obj)))) {
 				AST_LIST_UNLOCK(&class->odbc_obj);
 				return NULL;
 			}
@@ -415,9 +411,7 @@
 
 		if (!obj) {
 			/* No entry: build one */
-			obj = ast_calloc(1, sizeof(*obj));
-			if (!obj) {
-				ast_log(LOG_ERROR, "Out of memory\n");
+			if (!(obj = ast_calloc(1, sizeof(*obj)))) {
 				AST_LIST_UNLOCK(&class->odbc_obj);
 				return NULL;
 			}
@@ -582,14 +576,7 @@
 						}
 					}
 
-					if (class) {
-						new = class;
-					} else {
-						new = ast_calloc(1, sizeof(*new));
-					}
-
-					if (!new) {
-						ast_log(LOG_ERROR, "Memory error while loading configuration.\n");
+					if (!(new = S_OR(class, ast_calloc(1, sizeof(*new))))) {
 						res = -1;
 						break;
 					}
